Package com.io7m.idstore.server.controller.user

# Class IdUCmdAbstract<C extends IdProtocolMessageType>

java.lang.Object
com.io7m.idstore.server.controller.user.IdUCmdAbstract<C>

Type Parameters:
  `C` - The type of accepted commands

All Implemented Interfaces:
  `IdCommandExecutorType<IdSessionUser,IdUCommandContext,C,IdUResponseType>`

Direct Known Subclasses:
  `IdUCmdEmailAddBegin`, `IdUCmdEmailAddDeny`, `IdUCmdEmailAddPermit`, `IdUCmdEmailRemoveBegin`, `IdUCmdEmailRemoveDeny`, `IdUCmdEmailRemovePermit`, `IdUCmdPasswordUpdate`, `IdUCmdRealNameUpdate`, `IdUCmdUserSelf`

public abstract class IdUCmdAbstract<C extends IdProtocolMessageType> extends Object implements IdCommandExecutorType<IdSessionUser,IdUCommandContext,C,IdUResponseType>
The abstract base command class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IdUCmdAbstract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final IdUResponseType`
  `execute(IdUCommandContext context, C command)`
  Execute a command.
  `protected abstract IdUResponseType`
  `executeActual(IdUCommandContext context, C command)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUCmdAbstract

    protected IdUCmdAbstract()

- ## Method Details

  - ### execute

    public final IdUResponseType execute(IdUCommandContext context, C command) throws IdCommandExecutionFailure, IOException, InterruptedException
    Description copied from interface: `IdCommandExecutorType`
    Execute a command.
    Specified by:
      `execute` in interface `IdCommandExecutorType<IdSessionUser,IdUCommandContext,C extends IdProtocolMessageType,IdUResponseType>`
    Parameters:
      `context` - The execution context
      `command` - The command
    Returns:
      The result of execution
    Throws:
      `IdCommandExecutionFailure` - On errors
      `IOException` - On I/O errors
      `InterruptedException` - On interruption

  - ### executeActual

    protected abstract IdUResponseType executeActual(IdUCommandContext context, C command) throws IdValidityException, IdException, IdCommandExecutionFailure
    Throws:
      `IdValidityException`
      `IdException`
      `IdCommandExecutionFailure`